-- Do not manually edit this file, it was auto-generated by dillonkearns/elm-graphql
-- https://github.com/dillonkearns/elm-graphql


module ChemicalsApi.Object.Chemical exposing (..)

import ChemicalsApi.InputObject
import ChemicalsApi.Interface
import ChemicalsApi.Object
import ChemicalsApi.Scalar
import ChemicalsApi.Union
import CustomScalarCodecs
import Graphql.Internal.Builder.Argument as Argument exposing (Argument)
import Graphql.Internal.Builder.Object as Object
import Graphql.Internal.Encode as Encode exposing (Value)
import Graphql.Operation exposing (RootMutation, RootQuery, RootSubscription)
import Graphql.OptionalArgument exposing (OptionalArgument(..))
import Graphql.SelectionSet exposing (SelectionSet)
import Json.Decode as Decode


id : SelectionSet CustomScalarCodecs.Id ChemicalsApi.Object.Chemical
id =
    Object.selectionForField "CustomScalarCodecs.Id" "id" [] (CustomScalarCodecs.codecs |> ChemicalsApi.Scalar.unwrapCodecs |> .codecId |> .decoder)


name : SelectionSet String ChemicalsApi.Object.Chemical
name =
    Object.selectionForField "String" "name" [] Decode.string


purpose : SelectionSet String ChemicalsApi.Object.Chemical
purpose =
    Object.selectionForField "String" "purpose" [] Decode.string


stateOfMatter : SelectionSet String ChemicalsApi.Object.Chemical
stateOfMatter =
    Object.selectionForField "String" "stateOfMatter" [] Decode.string


msdsPath : SelectionSet String ChemicalsApi.Object.Chemical
msdsPath =
    Object.selectionForField "String" "msdsPath" [] Decode.string


qrCode : SelectionSet String ChemicalsApi.Object.Chemical
qrCode =
    Object.selectionForField "String" "qrCode" [] Decode.string


openedLifeSpan : SelectionSet String ChemicalsApi.Object.Chemical
openedLifeSpan =
    Object.selectionForField "String" "openedLifeSpan" [] Decode.string


unopenedLifeSpan : SelectionSet String ChemicalsApi.Object.Chemical
unopenedLifeSpan =
    Object.selectionForField "String" "unopenedLifeSpan" [] Decode.string


isControlledSubstance : SelectionSet Bool ChemicalsApi.Object.Chemical
isControlledSubstance =
    Object.selectionForField "Bool" "isControlledSubstance" [] Decode.bool


isRestrictedSubstance : SelectionSet Bool ChemicalsApi.Object.Chemical
isRestrictedSubstance =
    Object.selectionForField "Bool" "isRestrictedSubstance" [] Decode.bool


isPetroleumBase : SelectionSet Bool ChemicalsApi.Object.Chemical
isPetroleumBase =
    Object.selectionForField "Bool" "isPetroleumBase" [] Decode.bool


signalWord : SelectionSet String ChemicalsApi.Object.Chemical
signalWord =
    Object.selectionForField "String" "signalWord" [] Decode.string


companyName : SelectionSet String ChemicalsApi.Object.Chemical
companyName =
    Object.selectionForField "String" "companyName" [] Decode.string


ingredients : SelectionSet String ChemicalsApi.Object.Chemical
ingredients =
    Object.selectionForField "String" "ingredients" [] Decode.string


manualLink : SelectionSet String ChemicalsApi.Object.Chemical
manualLink =
    Object.selectionForField "String" "manualLink" [] Decode.string


components : SelectionSet decodesTo ChemicalsApi.Object.ChemicalComponent -> SelectionSet (List decodesTo) ChemicalsApi.Object.Chemical
components object_ =
    Object.selectionForCompositeField "components" [] object_ (identity >> Decode.list)


hazards : SelectionSet decodesTo ChemicalsApi.Object.Hazard -> SelectionSet (List decodesTo) ChemicalsApi.Object.Chemical
hazards object_ =
    Object.selectionForCompositeField "hazards" [] object_ (identity >> Decode.list)


manufacturers : SelectionSet decodesTo ChemicalsApi.Object.ChemicalManufacturer -> SelectionSet (List decodesTo) ChemicalsApi.Object.Chemical
manufacturers object_ =
    Object.selectionForCompositeField "manufacturers" [] object_ (identity >> Decode.list)


pictograms : SelectionSet decodesTo ChemicalsApi.Object.Pictogram -> SelectionSet (List decodesTo) ChemicalsApi.Object.Chemical
pictograms object_ =
    Object.selectionForCompositeField "pictograms" [] object_ (identity >> Decode.list)


precautions : SelectionSet decodesTo ChemicalsApi.Object.Precaution -> SelectionSet (List decodesTo) ChemicalsApi.Object.Chemical
precautions object_ =
    Object.selectionForCompositeField "precautions" [] object_ (identity >> Decode.list)
